MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030488Open CASCADE[OCCT] OCCT:Visualizationpublic2019-02-07 17:282019-04-09 16:37
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030488: Visualization, Ray Tracing - empty error message on GLSL program compilation
DescriptionOpenGl_View::initRaytraceResources() compiles GLSL program without OpenGl_ShaderProgram::Initialize(), so that error/warning processing is handled in different way.
Due to misprints in logic and code disabled by RAY_TRACE_PRINT_INFO macros, GLSL program compilation might miss meaningful information necessary for analysis.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0030643verifiedapn Visualization, Ray-Tracing - shader compilation errors are not properly logged 

-  Notes
(0082073)
git (administrator)
2019-02-07 17:31

Branch CR30488 has been created by kgv.

SHA-1: cde177c880bb0eba2e3fda2e1fdf87ac90641f4a


Detailed log of new commits:

Author: kgv
Date: Thu Feb 7 17:24:47 2019 +0300

    0030488: Visualization, Ray Tracing - empty error message on GLSL program compilation
    
    OpenGl_ShaderObject::LoadAndCompile() - added method combining Load() and Compile() with optional error logging.
    OpenGl_ShaderProgram::Link() now logs failures by default.
(0082079)
kgv (developer)
2019-02-08 10:28

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30488-CR30488-KGV/ [^]
(0082106)
git (administrator)
2019-02-08 22:44

Branch CR30488 has been updated forcibly by kgv.

SHA-1: bc6c383b9b7006920205e477daf2e85aba040cf8
(0082165)
osa (developer)
2019-02-13 10:36

Branch CR30488 in OCCT and OCCT Products is reviewed without remarks.
(0082178)
apn (administrator)
2019-02-14 13:21

OCCT and Products branches CR30488 were tested with IR-WEEK7.

Combination -
OCCT branch : IR-WEEK7
master SHA - 1ccc1371b97227ae546f586e710e61f48d1a5353
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : IR-WEEK7 SHA - aa8c19a87ec380c51a0864b1f3808ee6a48d4f40
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16531.74000000004 / 16545.53999999999 [-0.08%]
Products
Total CPU difference: 9082.45000000002 / 9061.810000000012 [+0.23%]
Windows-64-VC14:
OCCT
Total CPU difference: 17948.90625 / 17918.46875 [+0.17%]
Products
Total CPU difference: 10463.71875 / 10465.109375 [-0.01%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0082642)
git (administrator)
2019-03-05 13:46

Branch CR30488 has been deleted by kgv.

SHA-1: bc6c383b9b7006920205e477daf2e85aba040cf8

- Related Changesets
occt: master 2bda8346
Timestamp: 2019-02-07 14:24:47
Author: kgv
Committer: apn
Details ] Diff ]
0030488: Visualization, Ray Tracing - empty error message on GLSL program compilation

OpenGl_ShaderObject::LoadAndCompile() - added method combining Load() and Compile() with optional error logging.
OpenGl_ShaderProgram::Link() now logs failures by default.
mod - src/OpenGl/OpenGl_ShaderObject.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderObject.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShaderProgram.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-02-07 17:28 kgv New Issue
2019-02-07 17:28 kgv Assigned To => kgv
2019-02-07 17:31 git Note Added: 0082073
2019-02-08 10:28 kgv Note Added: 0082079
2019-02-08 10:28 kgv Assigned To kgv => san
2019-02-08 10:28 kgv Status new => resolved
2019-02-08 10:29 kgv Description Updated View Revisions
2019-02-08 22:44 git Note Added: 0082106
2019-02-13 09:59 kgv Assigned To san => osa
2019-02-13 10:36 osa Note Added: 0082165
2019-02-13 10:36 osa Assigned To osa => bugmaster
2019-02-13 10:36 osa Status resolved => reviewed
2019-02-14 13:21 apn Test case number => Not needed
2019-02-14 13:21 apn Note Added: 0082178
2019-02-14 13:21 apn Status reviewed => tested
2019-02-16 11:48 apn Changeset attached => occt master 2bda8346
2019-02-16 11:48 apn Assigned To bugmaster => apn
2019-02-16 11:48 apn Status tested => verified
2019-02-16 11:48 apn Resolution open => fixed
2019-03-05 13:46 git Note Added: 0082642
2019-04-09 16:37 kgv Relationship added parent of 0030643


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker